# 47. Query: "ZonesMaps" ophalen

Query om de gebruiker "ZonesMaps" op te halen. Om pagineringslogica te implementeren, gebruik de queryparameter `paginaGrootte`. De filter werkt als een EN-voorwaarde, bijv. mogelijk te filteren op `farmUuid`, `fieldUuid`, `vectorAnalysisMapUuid`, `labels`, `doel`, `type`, en `alleenMetTarief` in dezelfde query of slechts één filtervoorwaarde te gebruiken of geen voorwaarde te gebruiken.&#x20;

Beperkingen: filteren op `doel`, `type`, en `alleenMetTarief` werkt alleen in combinatie met `fieldUuid`. Het is toegestaan zoneskaarten te zoeken op `vectorAnalysisMapUuid` enkele attribuut.&#x20;

Er zijn `laatstBeoordeeldSleutel` en `totaalAantal`  in antwoord. De `laatstBeoordeeldSleutel` verwijst naar het laatst verwerkte record dat aan de filtervoorwaarden voldoet. De `totaalAantal` - is het totale aantal records dat aan de filtervoorwaarden voldoet.

## &#x20;Sjabloon

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query FilterZonesMapsSample {
  getZonesMaps(
    filter: {
      pageSize: 10
      fieldUuid: "<placeholder_of_field_uuid>"
      farmUuid: "<placeholder_of_farm_uuid>"
      purpose: ZAAIEN
      type: SATELLIET
      labels: ["id=veld"]
      withRatesOnly: true
      vectorAnalysisMapUuid: "<placeholder_of_vectoranalysismap_uuid>"
    }
) {
    zonesMaps {
      uuid
      naam
      zonesMapGeojson(unit: MANCHE)
      zonesMapUrl
    }
    totaalAantal
    laatstBeoordeeldSleutel {
      PartitieSleutel
      SorteerSleutel
      TagString
    }
  }
}
```

{% endcode %}

## Aanvragen

```graphql
query FilterZonesMapsSample {
  getZonesMaps(
    filter: {
      pageSize: 3
      fieldUuid: "a716fd04-4f78-4ce8-b712-ffb88bd2acdd"
      purpose: ALGEMEEN
    }
) {
    zonesMaps {
      uuid
      naam
      zonesMapUrl
    }
    laatstBeoordeeldSleutel {
      PartitieSleutel
      SorteerSleutel
      TagString
    }
  }
}
```

## Respons

### Metadata

Respons bevat de onderstaande JSON.&#x20;

```json
{
  "data": {
    "getZonesMaps": {
      "zonesMaps": [
        {
          "uuid": "ff06c914-7b87-4e67-991e-7b63c29967ee",
          "name": "GP_Auto_Nitrogen_Use_Efficiency_GP Value",
          "zonesMapUrl": "https://api.geopard.tech/geo/feature?SERVICE=WFS&VERSION=2.0.0&REQUEST=GetFeature&TYPENAMES=yield_zone_map_view&OUTPUTFORMAT=application/json&VIEWPARAMS=uuid:ff06c914-7b87-4e67-991e-7b63c29967ee"
        },
        {
          "uuid": "ec8cd4db-efe9-40a3-b616-7169bcde9be9",
          "name": "7 Years 2016-2023",
          "zonesMapUrl": "https://api.geopard.tech/geo/feature?SERVICE=WFS&VERSION=2.0.0&REQUEST=GetFeature&TYPENAMES=zone_map_view&OUTPUTFORMAT=application/json&VIEWPARAMS=uuid:ec8cd4db-efe9-40a3-b616-7169bcde9be9"
        },
        {
          "uuid": "eb4ddd50-ff38-4467-b8e0-cce26be699c8",
          "name": "VR Seeding",
          "zonesMapUrl": "https://api.geopard.tech/geo/feature?SERVICE=WFS&VERSION=2.0.0&REQUEST=GetFeature&TYPENAMES=multilayers_zone_map_view&OUTPUTFORMAT=application/json&VIEWPARAMS=uuid:eb4ddd50-ff38-4467-b8e0-cce26be699c8"
        }
      ],
      "lastEvaluatedKey": {
        "PartitionKey": "a716fd04-4f78-4ce8-b712-ffb88bd2acdd",
        "SortKey": "eb4ddd50-ff38-4467-b8e0-cce26be699c8",
        "TagString": null
      }
    }
  }
}
```

### Zone-statistieken en geometrieën

Details over zone-statistieken en geometrieën staan in `zonesMapUrl` .&#x20;

Het voorbeeld van statistieken van `eigenschappen` staat hieronder.

```json
"properties": {
  "mapUuid": "ff06c914-7b87-4e67-991e-7b63c29967ee",
  "zone": 1,
  "attributes": {
    "avg": 70.427,
    "max": 103.0,
    "min": 56.0,
    "std": 11.456,
    "sum": 30847.0,
    "area": 4000.0073042009,
    "index": "VALUE",
    "median": 66.0
  },
  "createdDate": "2023-10-12T22:09:26.447Z",
  "updatedDate": "2023-10-12T22:09:26.447Z",
  "minZone": 1,
  "avgZone": 3,
  "maxZone": 5,
  "sqm": 4000.01
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/nl/api-docs/overzicht-van-api-verzoeken-van-geopard/47.-query-zonesmaps-ophalen.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
